# SoTexture3Transform Class Reference
[Nodes]

`#include <Inventor/nodes/SoTexture3Transform.h>`

Inheritance diagram for SoTexture3Transform:

List of all members.

## Detailed Description

The SoTexture3Transform class is used to define 3D texture transformations.

Textures applied to shapes in the scene can be transformed by "prefixing" in the state with instances of this node type. Translations, rotations and scaling in 3D can all be done.

The default settings of this node's fields equals a "null transform", ie no transformation.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

See also:
  SoTexture2Transform

Since:
  Coin 2.0

  TGS Inventor 2.6

## Public Member Functions

| SoTexture3Transform (void)
virtual void | doAction (SoAction *action)
virtual void | callback (SoCallbackAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | getMatrix (SoGetMatrixAction *action)
virtual void | pick (SoPickAction *action)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFVec3f | translation
SoSFRotation | rotation
SoSFVec3f | scaleFactor
SoSFRotation | scaleOrientation
SoSFVec3f | center

## Protected Member Functions

virtual | ~SoTexture3Transform ()

## Constructor & Destructor Documentation

SoTexture3Transform::SoTexture3Transform | ( | void |  | ) |

| Constructor.

SoTexture3Transform::~SoTexture3Transform | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoTexture3Transform::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

void SoTexture3Transform::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoTexture3Transform::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

void SoTexture3Transform::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoTexture3Transform::getMatrix | ( | SoGetMatrixAction * | action | ) | `[virtual]`

| Action method for SoGetMatrixAction. Updates action by accumulating with the transformation matrix of this node (if any). Reimplemented from SoNode.

void SoTexture3Transform::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoNode.

## Member Data Documentation

SoSFVec3f SoTexture3Transform::translation

| Texture coordinate translation. Default value is [0, 0, 0].

SoSFRotation SoTexture3Transform::rotation

| Texture coordinate rotation (s is x-axis, t is y-axis and r is z-axis). Defaults to an identity rotation (ie zero rotation).

SoSFVec3f SoTexture3Transform::scaleFactor

| Texture coordinate scale factors. Default value is [1, 1, 1].

SoSFRotation SoTexture3Transform::scaleOrientation

| The orientation the texture is set to before scaling. Defaults to an identity rotation (ie zero rotation).

SoSFVec3f SoTexture3Transform::center

| Center for scale and rotation. Default value is [0, 0, 0].

The documentation for this class was generated from the following files:

- SoTexture3Transform.h
- SoTexture3Transform.cpp